### Method

# Vips Image freqmult

#### Declaration [src]

    int
    vips_freqmult (
      VipsImage* in,
      VipsImage* mask,
      VipsImage** out,
      ...
    )

#### Description [src]

Multiply `in` by `mask` in Fourier space.

`in` is transformed to Fourier space, multiplied with `mask`, then transformed back to real space. If `in` is already a complex image, just multiply then inverse transform.

See also

`vips_invfft()`, `vips_mask_ideal()`.

This method is not directly available to language bindings.

#### Parameters

`mask`

  Type: `VipsImage`

  Mask image.

  The data is owned by the caller of the method.

`out`

  Type: `VipsImage`

  Output image.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.